| Haskell Core Libraries (Cabal package) | Contents | Index

Distribution.Simple.SrcDist

Portability | portable
Stability | alpha
Maintainer | Isaac Jones <ijones@syntaxpolice.org>

Description
Synopsis

sdist :: FilePath -> FilePath -> Int -> Bool -> [PPSuffixHandler] -> PackageDescription -> IO ()

Documentation
sdist

:: FilePath | build prefix (temp dir)
-> FilePath | TargetPrefix
-> Int | verbose
-> Bool | snapshot
-> [PPSuffixHandler] | extra preprocessors (includes suffixes)
-> PackageDescription |
-> IO () |
Create a source distribution. FIX: Calls tar directly (won't work on windows).

Produced by Haddock version 0.7